%define	manver		20041215

Summary: Japanese man (manual) pages from the Japanese Manual Project
Name: man-pages-ja
Version: %{manver}
Release: 1.EL2.1.0
License: Distributable
Group: Documentation
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
URL: http://www.linux.or.jp/JM/

Source: http://www.linux.or.jp/JM/%{name}-%{manver}.tar.gz
Source1: rh-man-pages-ja.pl
Patch: %{name}-20010515-rh.patch
Patch1: %{name}-20011115-fixpipe.patch
Patch3: %{name}-20031215-crontab-0days.patch

%description
Japanese Manual pages, translated by JM-Project (Japanese Manual Project).

%prep
%setup -q -n %{name}-%{manver}
%patch -p1 -b .jp
%patch1 -p1 -b .pipe
%patch3 -p1 -b .0days

%build
perl %{SOURCE1} $RPM_BUILD_ROOT | make

%install
rm -fr $RPM_BUILD_ROOT
sh ./installman.sh
 
# fix su(1) man page.
if [ -f $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_sh-utils/man1/su.1 ]; then
	rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/su.1*
	cp -a $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_sh-utils/man1/su.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/
fi
# fix kill(1) man page.
if [ -f $RPM_BUILD_DIR/%{name}-%{version}/manual/util-linux/man1/kill.1 ]; then
	rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/kill.1*
	cp -a $RPM_BUILD_DIR/%{name}-%{version}/manual/util-linux/man1/kill.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/
fi
# fix chown(1) man page.
if [ -f $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_fileutils/man1/chown.1 ]; then
	rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/chown.1*
	cp -a $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_fileutils/man1/chown.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/
fi
# For Bug#128612
mv $RPM_BUILD_ROOT%{_mandir}/ja/man8/in.telned.8.gz $RPM_BUILD_ROOT%{_mandir}/ja/man8/in.telnetd.8.gz
# For Bug#128833
mv $RPM_BUILD_ROOT%{_mandir}/ja/man8/in.rlogin.8.gz $RPM_BUILD_ROOT%{_mandir}/ja/man8/in.rlogind.8.gz

# accumulate translation_lists
mkdir $RPM_BUILD_DIR/%{name}-%{version}/translation_lists
(cd $RPM_BUILD_DIR/%{name}-%{version}/manual
for i in `find -type f -name translation_list`; do
	package=`basename \`dirname $i\``;
	name=`basename $i`;
	cp -a $i $RPM_BUILD_DIR/%{name}-%{version}/translation_lists/$package.$name;
done
)

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README translation_lists
%{_mandir}/ja/*


%changelog
* Thu Feb 17 2005 Akira TAGOH <tagoh@redhat.com> - 20041215-1.EL2.1.0
- removed the unnecesary patch.

* Tue Jan 11 2005 Akira TAGOH <tagoh@redhat.com> - 20041215-1.EL2.1
- updates to 20041215.
- backported the fixes:
  - prefer GNU fileutils's chown(1) rather than gnumaniak's. (#142077)
  - fixed wrong filename for in.rlogind.8 man pages. (#128833)
  - applied a patch to fix crontab.5's typo. (#128623)
  - fixed wrong filename for in.telnetd.8 man pages. (#128612)
  - prefer util-linux's kill(1) rather than procps's.
  - prefer sh-utils's su(1) rather than shadow's.
  - fixed a summary and a description. (#90548)
- clean up the spec file.

* Sat Jun  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.5

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sun Jun 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
